Skip to main content
`Ctrl`+`K`

# scipy.special.eval_chebys

scipy.special.eval_chebys(n, x, out=None) = <ufunc 'eval_chebys'>

  Evaluate Chebyshev polynomial of the second kind on [-2, 2] at a point.

  These polynomials are defined as

  \[S_n(x) = U_n(x/2)\]

  where \(U_n\) is a Chebyshev polynomial of the second kind. See 22.5.13 in [AS] for details.

  Parameters:
    n array_like

      Degree of the polynomial. If not an integer, the result is determined via the relation to `eval_chebyu`.

    x array_like

      Points at which to evaluate the Chebyshev polynomial

    out ndarray, optional

      Optional output array for the function values

  Returns:
    S scalar or ndarray

      Values of the Chebyshev polynomial

  See also

  `roots_chebys`

    roots and quadrature weights of Chebyshev polynomials of the second kind on [-2, 2]

  `chebys`

    Chebyshev polynomial object

  `eval_chebyu`

    evaluate Chebyshev polynomials of the second kind

  References

  [AS]

  Milton Abramowitz and Irene A. Stegun, eds. Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables. New York: Dover, 1972.

  Examples

      >>> import numpy as np
      >>> import scipy.special as sc

  They are a scaled version of the Chebyshev polynomials of the second kind.

      >>> x = np.linspace(-2, 2, 6)
      >>> sc.eval_chebys(3, x)
      array([-4.   ,  0.672,  0.736, -0.736, -0.672,  4.   ])
      >>> sc.eval_chebyu(3, x / 2)
      array([-4.   ,  0.672,  0.736, -0.736, -0.672,  4.   ])